<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      xmlns:v="http://typo3.org/ns/FluidTYPO3/Vhs/ViewHelpers"
      xmlns:drk="http://typo3.org/ns/Drk/Template/ViewHelpers"
      data-namespace-typo3-fluid="true">
<f:if condition="{pagination.allPageNumbers -> f:count()} > 1">
    <ul class="f3-widget-paginator">
        <!-- previous page -->
        <f:if condition="{pagination.previousPageNumber} && {pagination.previousPageNumber} >= {pagination.firstPageNumber}">
            <f:then>
                <li class="previous">
                    <a href="{f:uri.action(action:actionName, arguments:{currentPage: pagination.previousPageNumber},addQueryString:1)}" title="{f:translate(key:'LLL:EXT:drkservice_blog/Resources/Private/Language/locallang.xlf:pagination.previous')}" class="button button--primary">
                        <svg width="10" height="7" aria-hidden="true">
                            <use href="{drk:uri.hashedResource(path: 'EXT:drk_template/Resources/Public/Icons/Sprites/general-sprite.svg')}#chevron"></use>
                        </svg>
                     </a>
                </li>
            </f:then>
            <f:else>
                <li class="disabled previous">
                    <button class="button button--primary button--disabled" aria-label="{f:translate(key:'LLL:EXT:drkservice_blog/Resources/Private/Language/locallang.xlf:pagination.previous-disabled')}" disabled>
                        <svg width="10" height="7" aria-hidden="true">
                            <use href="{drk:uri.hashedResource(path: 'EXT:drk_template/Resources/Public/Icons/Sprites/general-sprite.svg')}#chevron"></use>
                        </svg>
                    </button>
                </li>
            </f:else>
        </f:if>

        <!-- current page -->
        <f:for each="{pagination.allPageNumbers}" as="page">
            <f:if condition="{page} == {paginator.currentPageNumber}">
                <f:then>
                    <!-- TODO: please place the input-field if the user should enter a page number -->
                    <f:comment>
                        <li class="current">
                            <label style="display:none;" for="inputPaginationNumber"></label>
                            <input type="text" id="inputPaginationNumber" name="inputPaginationNumber" placeholder="{page}">
                            von {paginator.numberOfPages}
                        </li>
                    </f:comment>
                    <li class="current"><span>{page}</span> von {paginator.numberOfPages}</li>
                </f:then>
            </f:if>
        </f:for>

        <!-- next page -->
        <f:if condition="{pagination.nextPageNumber} && {pagination.nextPageNumber} <= {pagination.lastPageNumber}">
            <f:then>
                <li class="next">
                    <a href="{f:uri.action(action:actionName, arguments:{currentPage: pagination.nextPageNumber},addQueryString:1)}" title="{f:translate(key:'LLL:EXT:drkservice_blog/Resources/Private/Language/locallang.xlf:pagination.next')}" class="button button--primary">
                        <svg width="10" height="7" aria-hidden="true">
                            <use href="{drk:uri.hashedResource(path: 'EXT:drk_template/Resources/Public/Icons/Sprites/general-sprite.svg')}#chevron"></use>
                        </svg>
                    </a>
                </li>
            </f:then>
            <f:else>
                <li class="disabled next">
                    <button class="button button--primary button--disabled" aria-label="{f:translate(key:'LLL:EXT:drkservice_blog/Resources/Private/Language/locallang.xlf:pagination.next-disabled')}" disabled>
                        <svg width="10" height="7" aria-hidden="true">
                            <use href="{drk:uri.hashedResource(path: 'EXT:drk_template/Resources/Public/Icons/Sprites/general-sprite.svg')}#chevron"></use>
                        </svg>
                    </button>
                </li>
            </f:else>
        </f:if>
    </ul>
</f:if>
</html>
